Reply to topic

Building Error !

gagiopapinni
Registered Member
Posts
11
Karma
0

Building Error !

Wed Dec 30, 2015 10:26 pm
I am building marble and have this error :
...
[ 53%] Automatic moc for target MarbleWidgetPlugin
Generating moc_MarbleWidgetPlugin.cpp
/home/gagik/marble-master/src/plugins/designer/marblewidget/MarbleWidgetPlugin.h:29: Error: Undefined interface
AUTOGEN: error: process for /home/gagik/marble-build/src/plugins/designer/marblewidget/moc_MarbleWidgetPlugin.cpp failed:
/home/gagik/marble-master/src/plugins/designer/marblewidget/MarbleWidgetPlugin.h:29: Error: Undefined interface

How can I solve this problem ??

Qt: 4.8.6
KDE: 4.14.13
kde4-config: 1.0
User avatar Earthwings
KDE Developer
Posts
172
Karma
1
OS

Re: Building Error !

Thu Dec 31, 2015 7:30 am
Which Marble Version / branch is that? Master does not support Qt 4.x anymore, only Qt 5.x.
gagiopapinni
Registered Member
Posts
11
Karma
0

Re: Building Error !

Thu Dec 31, 2015 9:39 am
Earthwings wrote:Which Marble Version / branch is that? Master does not support Qt 4.x anymore, only Qt 5.x.


I installed Qt5 but kde4-config --version shows me that I still have installed qt4:
Qt: 4.8.6
KDE: 4.14.13
kde4-config: 1.0

And I could not find version of marble :)
..heelp :D
User avatar Earthwings
KDE Developer
Posts
172
Karma
1
OS

Re: Building Error !

Thu Dec 31, 2015 10:33 am
How did you get the source code? From the git repository? Which branch did you check out?
gagiopapinni
Registered Member
Posts
11
Karma
0

Re: Building Error !

Thu Dec 31, 2015 11:09 am
Earthwings wrote:How did you get the source code? From the git repository? Which branch did you check out?


Here https://github.com/KDE/marble
User avatar Earthwings
KDE Developer
Posts
172
Karma
1
OS

Re: Building Error !  Topic is solved

Thu Dec 31, 2015 12:59 pm
The easiest way to get around it should be setting WITH_DESIGNER_PLUGIN to FALSE in cmake.
gagiopapinni
Registered Member
Posts
11
Karma
0

Re: Building Error !

Thu Dec 31, 2015 3:02 pm
Earthwings wrote:The easiest way to get around it should be setting WITH_DESIGNER_PLUGIN to FALSE in cmake.

Ok.I will try so ... but whаt is the hаrdest wаy ?Just cаn you explаin me , whаt is the reаson of this error ?
User avatar Earthwings
KDE Developer
Posts
172
Karma
1
OS

Re: Building Error !

Thu Dec 31, 2015 3:20 pm
Either your qt installation is incomplete and lacks some part of qt designer support, or (less likely) cmake mixes up qt 4 and qt 5 somehow.
gagiopapinni
Registered Member
Posts
11
Karma
0

Re: Building Error !

Thu Dec 31, 2015 4:06 pm
Earthwings wrote:Either your qt installation is incomplete and lacks some part of qt designer support, or (less likely) cmake mixes up qt 4 and qt 5 somehow.

Ok.Thnks.
Now it works )

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], extinct, Google [Bot], JesusM, kde-zagzigger, Majestic-12 [Bot], peje, Sogou [Bot], Yahoo [Bot]